Package: groovy.transform

## [Java] Annotation Type Sealed

- groovy.transform.Sealed

-     @Documented
      @Incubating
      @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.TYPE)
      @GroovyASTTransformationClass({
              "org.codehaus.groovy.transform.SealedASTTransformation",
              "org.codehaus.groovy.transform.SealedCompletionASTTransformation"})
      public @interface Sealed

  Class annotation used to assist in the creation of sealed classes.

  Since:
    4.0.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Class[]` | `permittedSubclasses` List of the permitted subclasses.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Class[] permittedSubclasses

      List of the permitted subclasses.

      Default:
        {}